.\" @(#)$Mu: imgvtopgm/imgvtopnm.man 1.5 1998/03/27 06:20:52 $
.\"
.\" imgvtopnm.man
.\"	Man page for imgvtopnm.
.\"
.\" Copyright (C) 1997 Eric A. Howe
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\"   Authors:  Eric A. Howe (mu@trends.net)
.\"
.TH IMGVTOPNM 1 "Sept 1997"
.\"----------------------------------------------------------------------------
.SH NAME
imgvtopnm \- Pilot Image Viewer pdb to PGM/PBM converter, version @@VERSION@@.
.\"----------------------------------------------------------------------------
.SH SYNOPSIS
.B imgvtopnm
.RI [ -h ]
.RI [ -v ]
.RI [ "-{p|r}" ]
.RI [ "-n notefile" ]
.RI [ in " [" out ]]
.\"----------------------------------------------------------------------------
.SH DESCRIPTION
\fBImgvtopnm\fR is a filter for converting Pilot Image Viewer pdb files
to Portable Graymaps or Portable Bitmaps; grayscale pdb files will be
converted to PGM files and monochrome pdb files will be converted to
PBM files.  Notes attached to images may, optionally, be extracted as well.
Both compressed and uncompressed images are supported.
.PP
If you want to know what kind of image (monochrome or grayscale) a pdb file
holds, use \fBimgvinfo\fR(1).
.\"----------------------------------------------------------------------------
.SH OPTIONS
.TP
.I -h
Display a short usage message and exit.
.TP
.I -v
Display the version and exit.
.TP
.I -p
Produce a plain (or text) format output file.
.TP
.I -r
Produce a raw (or binary) format output file.
.TP
.I -n notefile
Write the image note (if any) to \fInotefile\fR.  The image note is
ignored by default.
.TP
.I in
The input file.  The standard input is read by default.
.TP
.I out
The output file.  The standard output is written by default.
.\"----------------------------------------------------------------------------
.SH "SEE ALSO"
.BR imgvinfo (1),
.BR imgvview (1),
.BR pbmtoimgv (1),
.BR pgmtoimgv (1),
.BR ppmimgvquant (1),
.BR pbm (5),
.BR pgm (5).
.\"----------------------------------------------------------------------------
.SH BUGS
Bug reports should be sent to Eric A. Howe (mu@trends.net).
.\"----------------------------------------------------------------------------
.SH LICENSE
Copyright (C) 1997 Eric A. Howe <http://www.trends.net/~mu>.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but \fBWITHOUT ANY WARRANTY\fR; without even the implied warranty of
\fBMERCHANTABILITY\fR or \fBFITNESS FOR A PARTICULAR PURPOSE\fR.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
