.\" @(#)$Mu: imgvtopgm/pbmtoimgv.man 1.9 1998/03/27 06:20:53 $
.\"
.\" pbmtoimgv.man
.\"	Man page for pbmtoimgv.
.\"
.\" Copyright (C) 1997 Eric A. Howe
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\"   Authors:  Eric A. Howe (mu@trends.net)
.\"
.TH PBMTOIMGV 1 "Sept 1997"
.\"----------------------------------------------------------------------------
.SH NAME
pbmtoimgv \- Portable Bitmap to Pilot Image Viewer converter, version @@VERSION@@.
.\"----------------------------------------------------------------------------
.SH SYNOPSIS
.B pbmtoimgv
.RI [ -h ]
.RI [ -v ]
.RI [ "-t title" ]
.RI [ "-n notefile" ]
.RI [ "-{c|m|u}" ]
.RI [ in " [" out ]]
.\"----------------------------------------------------------------------------
.SH DESCRIPTION
\fBpbmtoimgv\fR is a simple filter for converting Portable Bitmap to
monochrome Pilot Image Viewer pdb files.
.PP
If an image's width is not a multiple of 16 pixels, enough extra white pixels
will be added at the right side to ensure alignment.  Images will be padded,
with white pixels, to a width and height of 160 if needed.
.\"----------------------------------------------------------------------------
.SH OPTIONS
.TP
.I -h
Display a short summary of the command line options and exit.
.TP
.I -v
Display the version and exit.
.TP
.I -t title
Specify the title of the image (up to 31 characters).
.TP
.I -n notefile
Specify the note file.  No note is attached to the image by default.
.TP
.I -c
Produce a compressed image.
.TP
.I -m
Produce a compressed image if it is smaller than the uncompressed version.
This is the default compression mode.
.TP
.I -u
Produce an uncompressed image.
.TP
.I in
The input file.  The default is the standard input.
.TP
.I out
The output file.  The default is the standard output.
.\"----------------------------------------------------------------------------
.SH "SEE ALSO"
.BR imgvinfo (1),
.BR imgvtopnm (1),
.BR imgvview (1),
.BR pgmtoimgv (1),
.BR ppmimgvquant (1),
.BR pbm (5),
.BR pgm (5).
.\"----------------------------------------------------------------------------
.SH BUGS
Bug reports should be sent to Eric A. Howe (mu@trends.net).
.\"----------------------------------------------------------------------------
.SH LICENSE
Copyright (C) 1997 Eric A. Howe <http://www.trends.net/~mu>.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but \fBWITHOUT ANY WARRANTY\fR; without even the implied warranty of
\fBMERCHANTABILITY\fR or \fBFITNESS FOR A PARTICULAR PURPOSE\fR.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
